Package net.sf.saxon.lib

## Class RawResult

- java.lang.Object
- - net.sf.saxon.lib.RawResult

- All Implemented Interfaces:
    `javax.xml.transform.Result`

      public class RawResult
      extends java.lang.Object
      implements javax.xml.transform.Result

  This class is an implementation of the JAXP Result interface. It can be used to indicate that the output of a transformation (either the principal result, or a secondary result) should be delivered in "raw" form, that is, without building a tree (equivalently, without performing "sequence normalization"). Once output has been written to a RawResult, it is available to the caller in the form of a `Sequence`.

- - ### Field Summary

    - ### Fields inherited from interface javax.xml.transform.Result

      `PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RawResult()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `append​(Item item)` | Method intended for internal use to append an item to the result
    `Sequence` | `getResultSequence()` | On completion, get the sequence that has been written to this result object
    `java.lang.String` | `getSystemId()` | Get the system identifier that was set with setSystemId.
    `void` | `setSystemId​(java.lang.String systemId)` | Set the system identifier for this Result.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RawResult

          public RawResult()

  - ### Method Detail

    - #### setSystemId

          public void setSystemId​(java.lang.String systemId)

      Set the system identifier for this Result.

      If the Result is not to be written to a file, the system identifier is optional. The application may still want to provide one, however, for use in error messages and warnings, or to resolve relative output identifiers.

      Specified by:
        `setSystemId` in interface `javax.xml.transform.Result`
      Parameters:
        `systemId` - The system identifier as a URI string.

    - #### getSystemId

          public java.lang.String getSystemId()

      Get the system identifier that was set with setSystemId.
      Specified by:
        `getSystemId` in interface `javax.xml.transform.Result`
      Returns:
        The system identifier that was set with setSystemId, or null if setSystemId was not called.

    - #### append

          public void append​(Item item)

      Method intended for internal use to append an item to the result

    - #### getResultSequence

          public Sequence getResultSequence()

      On completion, get the sequence that has been written to this result object